SDL::Palette(3)

NAME
SDL::Palette - a perl extension

DESCRIPTION
SDL::Palette provides an interface to the SDL_Palette structures, and can be used to set the color values of an existing palette's indexes.

METHODS

  blue ( index, [value] )
Fetches and sets the blue component of the color at index.

  green ( index, [value] )
Fetches and sets the green component of the color at index.

  red ( index, [value] )
Fetches and sets the red component of the color at index.

  color ( index, [ r, g, b ] )
Fetches and sets the RGB, returns an SDL_Color *.

  size
Returns the size of the palette.

AUTHOR
David J. Goehrig

SEE ALSO
perl SDL::Color SDL::Surface